PERFDMF_LOADTRIAL(1)

NAME
perfdmf_loadtrial - Command line tool to load a trial into the perfdmf database.

SYNOPSIS

perfdmf_loadtrial {-a appName} {-x experimentName} {-n name} [options]

DESCRIPTION

This script will create a new trial in the perfdmf database.

OPTIONS

-n, --name name the name of the application.

-a, --applicationname name specify associated application name for this trial

-x, --experimentname experimentName specify the name of the experiment to associate with newly uploaded trial.

-e, --experimentid experimentID specify the id number of the experiment to associate with the new trial.

-g, --configFile configFile specify the path to the file that defines the perfdmf configuration. (overrides -c)

-c, --config configuration_name specify the name of the perfdmf configuration -c foo is equalivent to -g <.

-t, --trialid experimentID specify the id number of the newly uploaded trial.

-m, --metadata filename specify the filename of the XML metadata for this trial.

-f, --filetype filetype Specify type of performance data, options are: profiles (default), pprof, dynaprof, mpip, gprof, psrun, hpm, packed, cube, hpc, ompp, snap, perixml, gptl, paraver, ipm, google

-i, --fixnames Use the fixnames option for gprof

NOTES

For the TAU profiles type, you can specify either a specific set of profile files on the commandline, or you can specify a directory (by default the current directory). The specified directory will be searched for profile.*.*.* files, or, in the case of multiple counters, directories named MULTI_* containing profile data.

EXAMPLES

perfdmf_loadtrial -e 12 -n "Batch 001"

This will load profile.* (or multiple counters directories MULTI_*) into experiment 12 and give the trial the name "Batch 001"

perfdmf_loadtrial -e 12 -n "HPM data 01" -f hpm perfhpm*

This will load perfhpm* files of type HPMToolkit into experiment 12 and give the trial the name "HPM data 01"

perfdmf_loadtrial -a "NPB2.3" -x "parametric" -n "64" par64.ppk

This will load packed profile par64.ppk into the experiment named "parametric" under the application named "NPB2.3" and give the trial the name "64". The application and experiment will be created if not found.